%define upstream_name	 MIME-tools
%define upstream_version 5.504

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl modules for parsing (and creating!) MIME entities
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Path) >= 1.0.0
BuildRequires: perl(File::Spec) >= 0.600.0
BuildRequires: perl(File::Temp) >= 0.180.0
BuildRequires: perl(IO::File) >= 1.130.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(MIME::Base64) >= 2.200.0
BuildRequires: perl(Mail::Field) >= 1.50.0
BuildRequires: perl(Mail::Header) >= 1.10.0
BuildRequires: perl(Mail::Internet) >= 1.20.300
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Requires:   perl(File::Temp)   >= 0.17
Requires:   perl(IO::Stringy)  >= 1.211
Requires:   perl(MIME::Base64) >= 3.03
Requires:   perl(Mail::Util)   >= 1.15
Requires:   perl(Convert::BinHex)
%description
MIME-tools - modules for parsing (and creating!) MIME entities Modules in this
toolkit : Abstract message holder (file, scalar, etc.), OO interface for
decoding MIME messages, an extracted and decoded MIME entity, Mail::Field
subclasses for parsing fields, a parsed MIME header (Mail::Header subclass),
parser and tool for building your own MIME parser, and utilities.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
rm -f set-version.pl
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f t/02-kwalitee.t
%make test

%install
%makeinstall_std 

%files
%doc COPYING ChangeLog INSTALLING META.yml MYMETA.yml README examples
%{perl_vendorlib}/MIME
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 5.504.0-2.mga4
+ Revision: 527086
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 5.504.0-1.mga4
+ Revision: 439486
- update to 5.504

* Mon Mar 11 2013 neoclust <neoclust> 5.503.0-3.mga3
+ Revision: 402091
- Add requires in perl-Convert-BinHex

* Sun Jan 13 2013 umeabot <umeabot> 5.503.0-2.mga3
+ Revision: 369330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 5.503.0-1.mga3
+ Revision: 268004
- update to 5.503

* Wed Mar 09 2011 jquelin <jquelin> 5.502.0-1.mga1
+ Revision: 66998
- update to 5.502

* Sat Feb 26 2011 jquelin <jquelin> 5.501.0-1.mga1
+ Revision: 60811
- update to 5.501

* Mon Feb 21 2011 spuhler <spuhler> 5.500.0-3.mga1
+ Revision: 55177
- Increased rel for rebuild against perl-5.12
  +BuildRequires: perl(Test::Deep)

  + jquelin <jquelin>
    - update to 5.500

* Sat Jan 22 2011 jquelin <jquelin> 5.428.0-2.mga1
+ Revision: 32163
- mageia rebuild
- imported package perl-MIME-tools


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 5.428.0-2mdv2011.0
+ Revision: 555303
- rebuild

* Fri Apr 23 2010 Jérôme Quelin <jquelin@mandriva.org> 5.428.0-1mdv2010.1
+ Revision: 538299
- update to 5.428

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 5.427-2mdv2010.0
+ Revision: 426519
- rebuild

* Tue Jul 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.427-1mdv2009.0
+ Revision: 230452
- update to new version 5.427

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.426-1mdv2009.0
+ Revision: 194934
- update to new version 5.426

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Olivier Thauvin <nanardon@mandriva.org> 5.425-2mdv2008.1
+ Revision: 120276
- require perl(File::Temp) to fix 36010 (thx Berthy)

* Wed Nov 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.425-1mdv2008.1
+ Revision: 110920
- update to new version 5.425

  + Funda Wang <fwang@mandriva.org>
    - fix source tarball url

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 5.420-2mdv2008.0
+ Revision: 19200
- rebuild


* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.420-1mdk
- 5.420

* Thu Dec 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.419-1mdk
- 5.419

* Mon Oct 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.418-1mdk
- 5.418

* Sat Jan 29 2005 Guillaume Rousse <guillomovitch@mandrake.org> 5.417-1mdk 
- new version
- spec cleanup

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.416-1mdk
- 5.416

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.415-1mdk
- New version 5.415
- Update dependency on MIME::Base64

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.411-7mdk
- own dir
- rebuild

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.411-6mdk
- rebuild against new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.411-5mdk
- rebuild for new auto{prov,req}

